ScoopParserInternal::TextZone Struct Reference

Internal: a text zone of a ScoopParser. More...

## Public Member Functions
| TextZone ()
| constructor

## Public Attributes
long | m_id
| the text zone id
MWAWEntry | m_storyEntry
| the story name entry
MWAWFont | m_font
| the default font (or maybe the story font)
std::vector< Paragraph > | m_paragraphs
| the paragraph list
std::vector< TextZoneShape > | m_shapes
| the list of shapes displaying this text

## Detailed Description

Internal: a text zone of a ScoopParser.

## Constructor & Destructor Documentation

## ◆ TextZone()

ScoopParserInternal::TextZone::TextZone | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_font

MWAWFont ScoopParserInternal::TextZone::m_font

the default font (or maybe the story font)

Referenced by ScoopParser::readTextZone(), and TextZone().

## ◆ m_id

long ScoopParserInternal::TextZone::m_id

the text zone id

Referenced by ScoopParser::readTextZone(), and TextZone().

## ◆ m_paragraphs

std::vector<Paragraph> ScoopParserInternal::TextZone::m_paragraphs

the paragraph list

Referenced by ScoopParser::readTextZone(), and TextZone().

## ◆ m_shapes

std::vector<TextZoneShape> ScoopParserInternal::TextZone::m_shapes

the list of shapes displaying this text

Referenced by ScoopParser::readTextZone(), and TextZone().

## ◆ m_storyEntry

MWAWEntry ScoopParserInternal::TextZone::m_storyEntry

the story name entry

Referenced by ScoopParser::readTextZone(), and TextZone().

The documentation for this struct was generated from the following file:

- ScoopParser.cxx